Bug 11788 - quota is not supported on Solaris 10
quota is not supported on Solaris 10
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.3.6
All Solaris
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 11798
  Show dependency treegraph
 
Reported: 2016-03-12 18:08 UTC by Uri Simchoni
Modified: 2016-03-30 08:06 UTC (History)
2 users (show)

See Also:


Attachments
git-am fix for 4.3.next and 4.4.next (7.60 KB, patch)
2016-03-13 05:45 UTC, Uri Simchoni
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Uri Simchoni 2016-03-12 18:08:02 UTC
When built on Solaris 10 using the waf build (i.e. Samba 4.1.x onwards), the resulting smbd binary does not support quotas for reporting free disk space (for example, when executing "dir z:\" on a Windows command prompt, where z: is a mapped network drive). Instead, it reports the underlying disk size and free space, without clamping either one to the user's quota and the remaining quota.

This is a degradation from 3.6.25.

Reported by Andrew Morgan <morgan@orst.edu>
Comment 1 Uri Simchoni 2016-03-12 18:09:19 UTC
Issue probably exists on other systems such as AIX and HP-UX.
Comment 2 Uri Simchoni 2016-03-13 05:45:31 UTC
Created attachment 11911 [details]
git-am fix for 4.3.next and 4.4.next
Comment 3 Jeremy Allison 2016-03-14 18:55:28 UTC
Comment on attachment 11911 [details]
git-am fix for 4.3.next and 4.4.next

LGTM.
Comment 4 Jeremy Allison 2016-03-14 18:55:57 UTC
Re-assigning to Karolin for inclusion in 4.4.0, 4.3.next.
Comment 5 Karolin Seeger 2016-03-21 11:47:19 UTC
(In reply to Jeremy Allison from comment #4)
Pushed to v4-4-test and autobuild-v4-3-test.
Comment 6 Karolin Seeger 2016-03-23 08:47:46 UTC
Re-trying autobuild-v4-3-test.
Comment 7 Karolin Seeger 2016-03-30 08:06:25 UTC
(In reply to Karolin Seeger from comment #6)
Pushed to v4-3-test.
Closing out bug report.

Thanks!